﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.Point;
	
	public class Suiveur extends Sprite
	{
		private var mover:Sprite;
		private var i:Number = 0;
		public function Suiveur()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			mover = new Sprite();
			addChild(mover);
			addEventListener(Event.ENTER_FRAME, enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			mover.x+= -(mouseX-stage.stageWidth/2)/100;
			mover.y+= -(mouseY-stage.stageHeight/2)/10;
			drawElem(i++);
		}
		private function drawElem(nbr:Number):void
		{
			var elem:Sprite = new Sprite();
			elem.name = "ch"+i;
			elem.graphics.beginFill(0xf0b1e0,1);
			elem.graphics.drawCircle(mouseX-mover.x,mouseY-mover.y,Math.sin(i*Math.PI/180)*20);
			elem.graphics.endFill();
			elem.addEventListener(Event.ENTER_FRAME,fadeOut);
			mover.addChild(elem);
			
			var elem:Sprite = new Sprite();
			elem.name = "ch"+i;
			elem.graphics.beginFill(0x000000,1);
			elem.graphics.drawCircle(mouseX-mover.x,mouseY-mover.y,Math.sin(i*Math.PI/180)*20);
			elem.graphics.endFill();
			elem.addEventListener(Event.ENTER_FRAME,fadeOut);
			mover.addChild(elem);
			
			var elem:Sprite = new Sprite();
			elem.name = "ch"+i;
			elem.graphics.beginFill(0xffffff,1);
			elem.graphics.drawCircle(mouseX-mover.x,mouseY-mover.y,Math.sin(i*Math.PI/180)*20);
			elem.graphics.endFill();
			elem.addEventListener(Event.ENTER_FRAME,fadeOut);
			mover.addChild(elem);
		}
		private function fadeOut(e:Event):void{
			e.currentTarget.x += Math.random()*20;
			e.currentTarget.y += Math.random()*100;
			e.currentTarget.alpha-=0.05;
			if(e.currentTarget.alpha<=0){
				if(mover.getChildByName(e.currentTarget.name)!=null){
					e.currentTarget.removeEventListener(Event.ENTER_FRAME,fadeOut);
					mover.removeChild(mover.getChildByName(e.currentTarget.name));
				}
			}
		}
	}
}